Summary: AppleTalk connectivity programs
Name: netatalk
Version: 1.4b2
Release: 1C5
Copyright: GPL
Group: Networking
Source0: ftp://terminator.rs.itd.umich.edu/unix/netatalk/netatalk-1.4b2.tar.gz
Source1: netatalk.pam
Source2: atalk.init
Patch0: netatalk-1.4b2-cobalt.patch
Patch1: netatalk-1.4b2-fsstnd.patch
Patch2: afpd-macos8.patch
Requires: pam >= 0.56
%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It includes a daemon to allow Linux to act
as a file server for Mac's.

%exclusiveos: linux
# Because configures for fsstnd paths.

%changelog

* Fri Feb 27 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Added Mac OS 8 "dancing icons" patch.

* Thu Feb 05 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Turned off the file translation of CR to LF

* Wed Dec 10 1997 Andrew Bose <andrew@cobaltmicro.com>

  Pipe output of swritelcd to /dev/null in atalk.init

* Mon Dec 08 1997 Andrew Bose <andrew@cobaltmicro.com>
 
  Use blinking * during startup message on LCD to show activity

* Sun Jul 13 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Updated sources from 1.3.3 to 1.4b2
- Included endian patch for Linux/SPARC
- Use all the configuration files supplied in the source.  This has the
  following advantages over the ones in the previous rpm release:
	+ The printer 'lp' isn't automatically placed in papd.conf
	+ The default file conversion is binary rather than text.
- Automatically add and remove DDP services from /etc/services
- Placed the recommended /etc/services in the documentation
- Changed atalk.init to give daemons a soft kill
- Changed atalk.init to make configuration easier

* Wed May 28 1997 Mark Cornick <mcornick@zorak.gsfc.nasa.gov>
Updated for /etc/pam.d

%prep
%setup
%patch0 -p1 -b .cobalt
%patch1 -p1 -b .config
%patch2 -p1 -b .macos8
#%patch2 -p1 -b .endian
#%patch3 -p1 -b .no_rc
#%patch4 -p1 -b .config

%build
#make PAMLIBS="-lpam -lpam_misc -ldl" PAMDEFS=-DUSE_PAM LDFLAGS=-s
make LDFLAGS="-s -lcrypt"

%install
make install
install -m644 config/AppleVolumes.system /etc/AppleVolumes.system
install -m644 config/AppleVolumes.default /etc/AppleVolumes.default
install -m644 config/atalkd.conf /etc/atalkd.conf
install -m644 config/papd.conf /etc/papd.conf

install -m644 ${RPM_SOURCE_DIR}/netatalk.pam /etc/pam.d/netatalk
install -m755 ${RPM_SOURCE_DIR}/atalk.init /etc/rc.d/init.d/atalk.init
ln -sf ../init.d/atalk.init /etc/rc.d/rc0.d/K35atalk
ln -sf ../init.d/atalk.init /etc/rc.d/rc1.d/K35atalk
ln -sf ../init.d/atalk.init /etc/rc.d/rc3.d/S91atalk
ln -sf ../init.d/atalk.init /etc/rc.d/rc5.d/S91atalk
ln -sf ../init.d/atalk.init /etc/rc.d/rc6.d/K35atalk

%post
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the ddp lines to /etc/services
  if (grep '[0-9][0-9]*/ddp' /etc/services >/dev/null); then
    cat <<'_EOD1_'
warning: The DDP services appear to be present in /etc/services.
warning: Please check them against services.atalk in the documentation.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of DDP services
#
# Everything between the 'start of DDP services' and 'end of DDP services'
# lines will be automatically deleted when the netatalk package is removed.
#
rtmp		1/ddp		# Routing Table Maintenance Protocol
nbp		2/ddp		# Name Binding Protocol
echo		4/ddp		# AppleTalk Echo Protocol
zip		6/ddp		# Zone Information Protocol
# end of DDP services
_EOD2_
  fi
  echo notice: You may wish to edit the startup script /etc/rc.d/init.d/atalk.init
fi

%postun
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the ddp lines from /etc/services
  if (grep '^# start of DDP services$' /etc/services >/dev/null && \
      grep '^# end of DDP services$' /etc/services >/dev/null ); then
    sed -e '/^# start of DDP services$/,/^# end of DDP services$/d' \
	</etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_'
warning: Unable to find the lines `# start of DDP services' and
warning: `# end of DDP services' in the file /etc/services.
warning: You should remove the DDP services from /etc/service manually.
_EOD3_
  fi
fi

%files
%doc BUGS CHANGES COPYRIGHT README* services.atalk
%config /etc/AppleVolumes.default
%config /etc/AppleVolumes.system
%config /etc/atalkd.conf
%config /etc/papd.conf
%config /etc/rc.d/init.d/atalk.init
%config /etc/pam.d/netatalk
/etc/rc.d/rc0.d/K35atalk
/etc/rc.d/rc1.d/K35atalk
/etc/rc.d/rc3.d/S91atalk
/etc/rc.d/rc5.d/S91atalk
/etc/rc.d/rc6.d/K35atalk
/usr/sbin/afpd
/usr/sbin/atalkd
/usr/sbin/papd
/usr/sbin/psa
/usr/sbin/etc2ps
/usr/sbin/psf
/usr/bin/aecho
/usr/bin/getzones
/usr/bin/nbplkup
/usr/bin/nbprgstr
/usr/bin/nbpunrgstr
/usr/bin/psorder
/usr/bin/megatron
/usr/bin/unbin
/usr/bin/unhex
/usr/bin/unsingle
/usr/bin/hqx2bin
/usr/bin/single2bin
/usr/bin/macbinary
/usr/bin/pap
/usr/bin/papstatus
/usr/lib/libatalk.a
/usr/lib/libatalk_p.a
/usr/lib/atalk
/usr/include/atalk
/usr/include/netatalk
/usr/man/man1/aecho.1
/usr/man/man1/getzones.1
/usr/man/man1/nbp.1
/usr/man/man1/nbplkup.1
/usr/man/man1/nbprgstr.1
/usr/man/man1/pap.1
/usr/man/man1/papstatus.1
/usr/man/man1/psorder.1
/usr/man/man1/megatron.1
/usr/man/man1/unhex.1
/usr/man/man1/unbin.1
/usr/man/man1/unsingle.1
/usr/man/man1/macbinary.1
/usr/man/man1/hqx2bin.1
/usr/man/man1/single2bin.1
/usr/man/man3/atalk_aton.3
/usr/man/man3/nbp_name.3
/usr/man/man4/atalk.4
/usr/man/man8/afpd.8
/usr/man/man8/atalkd.8
/usr/man/man8/papd.8
/usr/man/man8/psf.8
